Subject: Re: -mno-cygwin with newer GCC?
From: Danny Smith <[email-masked]>
To: David Abrahams <[email-masked]>, [email-masked]
Cc: David Abrahams <[email-masked]>
Date: Fri, 7 Dec 2001 06:34:15 +1100 (EST)

--- David Abrahams <[email-masked]> wrote: > ------
> Request: If you can remember to, please reply to me personally in
> addition
> to sending your reply to the cygwin list. Thanks!
> ------
> 
> Hi,
> 
> I'm trying to use -mno-cygwin with a Cygwin GCC-3.0.2 that I built from
> sources. It seems that there are some preprocessor symbol definitions
> missing, for example:
> 
> _U=01 _L=02 _N=04 _S=010 _P=020 _C=040 _X=0100 _B=0200 // for ctype_base
> _GLIBCPP_HAVE_MBSTATE_T
> 
> it gets the wrong definition of
>    _GLIBCPP_HAVE_ACOSF
> et. al. from std_cmath.
> 
> Is there a way to make this work?
> It seems to me that the MINGW community (and Cygwin for that matter) is
> pretty committed to gcc-2.95.x, but I want the improved C++ compiler
> available with 3.0.2. Is anyone out there doing a similar thing, or am I
> completely out on a limb?
> 

Speaking as a mingw developer, I am committed to a GCC 3.1 for mingw in
April 2001.  

> TIA,
> Dave
> 

http://shopping.yahoo.com.au - Yahoo! Shopping
- Free CDs for thousands of Priority Shoppers!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/